# Uses of Class
org.apache.lucene.codecs.hnsw.FlatVectorsWriter

Packages that use FlatVectorsWriter
Package
Description
org.apache.lucene.codecs.hnsw
HNSW vector helper classes.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.

## Uses of FlatVectorsWriter in org.apache.lucene.codecs.hnsw

Methods in org.apache.lucene.codecs.hnsw that return FlatVectorsWriter
Modifier and Type
Method
Description
`abstract FlatVectorsWriter`
FlatVectorsFormat.`fieldsWriter(SegmentWriteState state)`
Returns a `FlatVectorsWriter` to write the vectors to the index.

## Uses of FlatVectorsWriter in org.apache.lucene.codecs.lucene99

Subclasses of FlatVectorsWriter in org.apache.lucene.codecs.lucene99
Modifier and Type
Class
Description
`final class`
`Lucene99FlatVectorsWriter`
Writes vector values to index segments.
`final class`
`Lucene99ScalarQuantizedVectorsWriter`
Writes quantized vector values and metadata to index segments.
Methods in org.apache.lucene.codecs.lucene99 that return FlatVectorsWriter
Modifier and Type
Method
Description
`FlatVectorsWriter`
Lucene99FlatVectorsFormat.`fieldsWriter(SegmentWriteState state)`
`FlatVectorsWriter`
Lucene99ScalarQuantizedVectorsFormat.`fieldsWriter(SegmentWriteState state)`
Constructors in org.apache.lucene.codecs.lucene99 with parameters of type FlatVectorsWriter
Modifier
Constructor
Description
``
`Lucene99HnswVectorsWriter(SegmentWriteState state, int M, int beamWidth, FlatVectorsWriter flatVectorWriter, int numMergeWorkers, TaskExecutor mergeExec)`
``
`Lucene99ScalarQuantizedVectorsWriter(SegmentWriteState state, Float confidenceInterval, byte bits, boolean compress, FlatVectorsWriter rawVectorDelegate, FlatVectorsScorer scorer)`
``
`Lucene99ScalarQuantizedVectorsWriter(SegmentWriteState state, Float confidenceInterval, FlatVectorsWriter rawVectorDelegate, FlatVectorsScorer scorer)`